Portfolio

Get fund units held

POST/portfolio/assets/{asset}/fund/units-held

Returns the total number of fund-level units held in the asset at a given date, optionally filtered to a single investor.

Path parameters

  • assetintegerRequired#

    The asset ID

Request body

application/json, required · PortfolioUnitsHeldFundRequest

  • held_atstring (date-time)Required#
  • investor_idinteger | null#
{
  "held_at": "2026-06-12T10:00:00+00:00",
  "investor_id": 1
}

Responses

200
"string"
404

Not found

422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/fund/units-held\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "held_at": "2026-06-12T10:00:00+00:00",
  "investor_id": 1
}'